local queen = getEntity("DialogNPC", "Celeste.Mod.DoonvHelper.Entities.")

function onBegin()
	disableMovement()
	waitUntilOnGround()
	playMusic("event:/CCDeltarune/queen")
	wait(1)
	queen.CutsceneModeEnabled = true
	say("CC_Inferno_cutscene2A")
	if choice("CC_Inferno_cutscene2ChoiceA","CC_Inferno_cutscene2ChoiceB") == 1 then
		say("CC_Inferno_cutscene2EndA")
		setFlag("TaxiMoved",true)
		playSound("event:/CC/CC_Deltarune/CC_Deltarune_car")
		setFlag("IsHelpingQueen",true)
		say("CC_Inferno_cutscene2EndATaxi")
	else
		playSound("event:/CC/CC_Deltarune/CC_Deltarune_QueenOh")
		say("CC_Inferno_cutscene2EndB")
		setFlag("TaxiMoved",true)
		playSound("event:/CC/CC_Deltarune/CC_Deltarune_car")
		say("CC_Inferno_cutscene2EndBTaxi")
	end
	setFlag("Blackout",true)
	wait(0.6)
end
function onEnd()
	queen.CutsceneModeEnabled = false
	enableMovement()
	teleportTo(1416,-1970,"d-00")
end